<?php
require_once('PHPUnit/Autoload.php');

class TestIterator implements Iterator {
	private $keys = array();
	private $values = array();
	public function __construct($keys, $values) {
		if (is_array($keys) && is_array($values) && count($keys) == count($values)) {
			$this->keys = $keys;
			$this->values = $values;
		}
	}
	public function rewind() {
		reset($this->keys);
		reset($this->values);
	}
	public function current() {
		return array(current($this->keys), strrev(current($this->values)));
	}
	public function key() {
		return key($this->keys);
	}
	public function next() {
		return array(next($this->keys), strrev(next($this->values)));
	}
	public function valid() {
		return (current($this->keys) !== FALSE);
	}
}

class DataProviderIteratorTest extends PHPUnit_Framework_TestCase {
	/**
	 * @dataProvider dataProviderIterator
	 */
	public function testDataProviderIterator($key, $value) {
		$this->assertEquals($value, $key, "Erwartet: $value, Erhalten: $key");
	}

	public function dataProviderIterator() {
		$keys   = array('foo', 'bar', 'foobar');
		$values = array('oof', 'rab', 'zaboof');
		return new TestIterator($keys, $values);
	}
}
?>
