<?php
require_once('PHPUnit/Autoload.php');

class StaticTest {
	public static $msg = '';
	
	public function setMsg($msg) {
		StaticTest::$msg = $msg;
	}
	
	public function getMsg() {
		return StaticTest::$msg;
	}
}

class StaticAttributesTest extends PHPUnit_Framework_TestCase {
	protected $class;
	
	protected function setUp() {
		$this->class = new StaticTest();
	}
	
	public function testStatic1() {
		$this->class->setMsg('forget me not');
		$this->assertEquals('forget me not', $this->class->getMsg());
	}

	/**
	 * @depends testStatic1
	 */
	public function testStatic2() {
		$this->assertEquals('forget me not', $this->class->getMsg());
	}

	/**
	 * @backupStaticAttributes enabled
	 */
	public function testStatic3() {
		$this->class->setMsg('forget me');
		$this->assertEquals('forget me', $this->class->getMsg());
	}

	/**
	 * @depends testStatic3
	 */
	public function testStatic4() {
		$this->assertEquals('forget me', $this->class->getMsg());
	}
}
?>